{% extends '_base.html' %}
{% load static %}

{% block title %} Department list {% endblock title %}

{% block content %}
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Departments
        </p>
        <p class="subtitle">
            List of all departments
        </p>
    </div>
</section>

<div class="column is-two-thirds is-offset-2">
    <div class="section">
        <div class="columns is-multiline">
            {% for department in departments %}
            <a href="{% url 'department_view' id=department.id %}">
                <div class="column is-3">
                    <div class="card">
                        <div class="card-image">
                            <figure class="image is-4by3">
                                <img src="{{department.display_picture.url}}" alt="Placeholder image">
                            </figure>
                        </div>
                        <div class="card-content">
                            <div class="media">
                                <div class="media-content">
                                    <p class="title is-4">{{department}}</p>
                                    <p class="subtitle is-6"></p>
                                </div>
                            </div>

                            <div class="content">
                                <p>{{emp.email}}</p>
                                <a></a>
                            </div>
                        </div>
                    </div>
                </div>

            </a>
            {% endfor %}

        </div>
    </div>
</div>

{% endblock %}